summaryrefslogtreecommitdiffhomepage
path: root/test/syscalls/syscall_test_runner.sh
diff options
context:
space:
mode:
authorAndrei Vagin <avagin@google.com>2019-02-11 12:42:20 -0800
committerShentubot <shentubot@google.com>2019-02-11 12:43:38 -0800
commitecce96bab56de3aedd7d5cf47a6981f0f56acba1 (patch)
tree67dc95abad53f0fbda9a4865a21457f034472cb5 /test/syscalls/syscall_test_runner.sh
parentefe5e737d7da48e6f99a1d9a53fe04b6d21b7511 (diff)
gvisor: Run syscall tests in kokoro on the rbe cluster
PiperOrigin-RevId: 233458853 Change-Id: I92c734b8075aa31e040fe7b4770bcf608e271e7a
Diffstat (limited to 'test/syscalls/syscall_test_runner.sh')
-rwxr-xr-xtest/syscalls/syscall_test_runner.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/test/syscalls/syscall_test_runner.sh b/test/syscalls/syscall_test_runner.sh
index 4f3790137..87d62786b 100755
--- a/test/syscalls/syscall_test_runner.sh
+++ b/test/syscalls/syscall_test_runner.sh
@@ -18,10 +18,17 @@
# It exists so that we can build the syscall test runner once, and use it for
# all syscall tests, rather than build it for each test run.
-set -euf -o pipefail
+set -euf -x -o pipefail
+
+echo -- "$@"
+
+if [[ -n "${TEST_UNDECLARED_OUTPUTS_DIR}" ]]; then
+ mkdir -p "${TEST_UNDECLARED_OUTPUTS_DIR}"
+ chmod a+rwx "${TEST_UNDECLARED_OUTPUTS_DIR}"
+fi
# Get location of syscall_test_runner binary.
-readonly runner=$(find ${TEST_SRCDIR} -name syscall_test_runner)
+readonly runner=$(find "${TEST_SRCDIR}" -name syscall_test_runner)
# Pass the arguments of this script directly to the runner.
exec "${runner}" "$@"